# PHPUnit Basic Training

The `basic` test suite is designed to put PHPUnit through its paces:
- basic test runner functionality
  - configuration options
  - test selection, grouping
  - execution reordering and dependecy resolution are noticeable
- all test result statuses
- common fixture errors and exceptions
- common dataprovider errors and exceptions
- out-of-sequence test events are processed correctly
- events from isolated sandboxes are reported to the user
- execution order and reporting order are decoupled

## References
- https://github.com/sebastianbergmann/phpunit/issues/3453
